/*
 * Common Game Fundation
 *
 * Copyright 2008 M.SHIOJIMA
 */

package sjima.cgf;

public class CGFDiceRoller {
	private int mensu;
	private int kaisu;

	public CGFDiceRoller(String text) {
		setText(text);
	}

	public void setText(String text) {
		String[] ary = text.split("D");
		if (ary == null) {
			return;
		}
		if (ary.length < 2) {
			return;
		}
		setKaisu(Integer.parseInt(ary[0]));
		setMensu(Integer.parseInt(ary[1]));
	}

	public String toString() {
		return String.valueOf(getKaisu()) + "D" + String.valueOf(getMensu());
	}
	
	public int rollDice() {
		int result = 0;
		for (int i = 0; i < getKaisu(); i++) {
			result += CGFUtil.rollDice(getMensu());
		}
		return result;
	}

	public void setMensu(int mensu) {
		this.mensu = mensu;
	}

	public int getMensu() {
		return mensu;
	}

	public void setKaisu(int kaisu) {
		this.kaisu = kaisu;
	}

	public int getKaisu() {
		return kaisu;
	}
}
