package sjima.wop;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;

import sjima.cgf.CGFMain;
import sjima.cgf.CGFMainFrame;
import sjima.cgf.CGFSize;
import sjima.cgf.CGFUtil;

public class WOPMainFrame extends CGFMainFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5542492020235040382L;

	public WOPMainFrame(CGFMain main, String string) {
		super(main, string);
		BufferedImage openingImage = CGFUtil.getImage("resource/opening.png");
		setOpeningImage(openingImage);
		CGFSize size = new CGFSize(openingImage.getWidth(this), openingImage
				.getHeight(this));
		BufferedImage image = CGFUtil.createImage(size);
		Graphics2D graphics = openingImage.createGraphics();
		graphics.setFont(CGFUtil.changeFontStyleSize(getMain().getFontManager()
				.getNormalFont(), Font.PLAIN, 12));
		graphics.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
				RenderingHints.VALUE_ANTIALIAS_ON);
		graphics.setColor(new Color(68, 68, 68));
		String msg = "このプログラムの新バージョンや追加マップは以下のＵＲＬで配布しています。";
		graphics.drawString(msg, 16, 416);
		graphics.setColor(new Color(255, 255, 255));
		graphics.drawString(msg, 15, 415);
		graphics.setColor(new Color(68, 68, 68));
		graphics.setFont(CGFUtil.changeFontStyleSize(getMain().getFontManager()
				.getNormalFont(), Font.ITALIC, 14));
		graphics.drawString(getMain().getSetting().getStringValue("url"), 16,
				431);
		graphics.setColor(new Color(255, 255, 255));
		graphics.drawString(getMain().getSetting().getStringValue("url"), 15,
				430);
		graphics.setColor(new Color(68, 68, 68));
		graphics.drawString(getMain().getSetting().getStringValue(
				"version_detail"), 16, 456);
		graphics.setColor(new Color(255, 255, 255));
		graphics.drawString(getMain().getSetting().getStringValue(
				"version_detail"), 15, 455);
		graphics = image.createGraphics();
		graphics.drawImage(openingImage, 0, 0, null);
		setImage(image);
		this.setSize(image.getWidth(this) + 16, image.getHeight(this) + 40);
	}

}
